// MPU6050_test.io
// UNO @ IDE 1.8.5

#include "MPU6050.h"
#include "Wire.h"

MPU6050 accelgyro;

int ax, ay, az;
int gx, gy, gz;
int azOffset = 12000;

void setup() 
{   Wire.begin();
    Serial.begin(250000);
    accelgyro.initialize();
    Serial.println(accelgyro.testConnection() ? "MPU6050 connection successful" : "MPU6050 connection failed");
}

void loop()
{   // read raw data
    accelgyro.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);

    Serial.print(ax); Serial.print(" ");
    Serial.print(ay); Serial.print(" ");
    Serial.print(az-azOffset); Serial.print(" ");
    Serial.print(gx); Serial.print(" ");
    Serial.print(gy); Serial.print(" ");
    Serial.println(gz);

    delay(30);
}
